## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.12.0
# https://github.com/kubernetes-sigs/yaml/issues/23
# https://github.com/kubernetes-sigs/yaml/issues/34
%ifnarch i686
%bcond_without check
%endif
%global debug_package %{nil}

# https://github.com/kubernetes-sigs/yaml
%global goipath         sigs.k8s.io/yaml
%global forgeurl        https://github.com/kubernetes-sigs/yaml
Version:                1.4.0

%gometa -L

%global common_description %{expand:
A wrapper around go-yaml designed to enable a better way of handling YAML when
marshaling to and from structs.

In short, this library first converts YAML to JSON using go-yaml and then uses
json.Marshal and json.Unmarshal to convert to or from the struct. This means
that it effectively reuses the JSON struct tags as well as the custom JSON
methods MarshalJSON and UnmarshalJSON unlike go-yaml.}

%global golicenses      LICENSE goyaml.v2-LICENSE goyaml.v2-LICENSE.libyaml\\\
                        goyaml.v2-NOTICE goyaml.v3-LICENSE goyaml.v3-NOTICE
%global godocs          CONTRIBUTING.md README.md RELEASE.md

Name:           golang-sigs-k8s-yaml
Release:        %autorelease
Summary:        Marshal and unmarshal YAML in Go

License:        Apache-2.0 AND BSD-3-Clause AND MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

mv goyaml.v2/LICENSE goyaml.v2-LICENSE
mv goyaml.v2/LICENSE.libyaml goyaml.v2-LICENSE.libyaml
mv goyaml.v2/NOTICE goyaml.v2-NOTICE
mv goyaml.v3/LICENSE goyaml.v3-LICENSE
mv goyaml.v3/NOTICE goyaml.v3-NOTICE

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 13 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.4.0-1
- Update to 1.4.0 - Closes rhbz#2007470

* Thu Jun 13 2024 Mark E. Fuller <mark.e.fuller@gmx.de> - 1.3.0-1
- update to v1.3.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 14 17:40:51 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.0-1
- Update to 1.2.0

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 10 14:28:47 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0-1
- Initial package

## END: Generated by rpmautospec
